<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="slider">
        <div class="arrows">
            <div class="arrow"> < </div>
            <div class="arrow"> > </div>
        </div>
        <div class="cont">
            <div class="slide"></div>
            <div class="slide1"></div>
            <div class="slide2"></div>
        </div>
    </div>
    <script>
        const [left, right] = document.querySelectorAll('.arrow')
        var cur = 0
        var cont = document.querySelector('.cont')
        var width = document.querySelector(".slider").offsetWidth
        
        left.addEventListener('click', function(){
            if(cur > 0){
                cur-- ;
                moveTo(cur)
            }
        })
        right.addEventListener('click', function(){
            if(cur<document.querySelectorAll(".cont>div").length-1){
                cur++ ;
                moveTo(cur)
            }
        })
        function moveTo(slideNumber){
            var a = -slideNumber*width
            cont.style.transform = "translateX("+ a + "px)"
        }
        window.addEventListener("resize", function(){
            width = document.querySelector(".slider").offsetWidth
            // cont.style.transition = "none"
            moveTo(cur)
            // cont.style.transition = "0.5s ease transform"
        })
    </script>
</body>
</html>